/*
  (c) 2002 Bertrik Sikken, bertrik@zonnet.nl
  
  HP5400/5470 Test util.
  Currently is only able to read back the scanner version string,
  but this basically demonstrates ability to communicate with the scanner.
  
*/

#include <stdio.h>      /* for printf */
#include <stdlib.h>     /* for exit */

#include "hp5400_xfer.h"


#define CMD_GETVERSION  0x1200
//#define CMD_SETUITEXT   
#define CMD_GETCMDID    0xc500


int main(void)
{
  int  iHandle;
  char szVersion[32];
  
  printf("HP5400/5470C testutil, 2002 Bertrik Sikken (bertrik@zonnet.nl)\n");
  
  iHandle = hp5400_open();
  if (iHandle < 0) {
    printf("hp5400_open failed\n");
    exit(1);
  }

  /* read version info */
  if (hp5400_command_read(iHandle, CMD_GETVERSION, sizeof(szVersion), szVersion) < 0) {
    printf("failed to read version string\n");
    goto hp5400_close_exit;
  }
  
  printf("Version info string: %s\n", szVersion);

hp5400_close_exit:
  hp5400_close(iHandle);
  exit(0);
}

